Package org.eclipse.rdf4j.query.algebra

## Interface ValueExpr

- All Superinterfaces:
    `Cloneable`, `QueryModelNode`, `Serializable`
  All Known Subinterfaces:
    `AggregateOperator`, `FilterValueExpr`
  All Known Implementing Classes:
    `AbstractAggregateOperator`, `AggregateOperatorBase`, `And`, `Avg`, `BinaryValueOperator`, `BNodeGenerator`, `Bound`, `Coalesce`, `Compare`, `CompareAll`, `CompareAny`, `CompareSubQueryValueOperator`, `ConjunctiveFilterExpr`, `Count`, `Datatype`, `Exists`, `FilterExpr`, `FunctionCall`, `GroupConcat`, `If`, `In`, `IRIFunction`, `IsBNode`, `IsLiteral`, `IsNumeric`, `IsResource`, `IsURI`, `Label`, `Lang`, `LangMatches`, `Like`, `ListMemberOperator`, `LocalName`, `MathExpr`, `Max`, `Min`, `Namespace`, `NAryValueOperator`, `Not`, `Or`, `Regex`, `SameTerm`, `Sample`, `Str`, `SubQueryValueOperator`, `Sum`, `UnaryValueOperator`, `ValueConstant`, `ValueExprTripleRef`, `Var`

      public interface ValueExpr
      extends QueryModelNode

  An expressions that evaluates to Value objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueExpr` | `clone()` | Returns a (deep) clone of this query model node.

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

- - ### Method Detail

    - #### clone

          ValueExpr clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Returns:
        A deep clone of this query model node.